> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://developers.awork.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://developers.awork.com/_mcp/server.

# Returns the specified project role.

GET https://api.awork.com/api/v1/projectroles/{projectRoleId}

Returns the project role with the specified id.Any authenticated user.

Reference: https://developers.awork.com/apiv1/project-roles/get-project-role-by-id

## Authentication

- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Request

### Path parameters

- `projectRoleId` (string, required) — The id of the project role.

## Response

### 200

OK

- `name` (string, required) — The name of the project role. Required.
- `isDefault` (boolean, optional, nullable) — Whether to use this role as default when adding new project members.
- `defaultProjectRoleId` (string, optional, nullable) — The id of the new default project role. Required if the updated project role is the current default role.
- `allowOnlyProjectMasterDataRead` (boolean, optional) — Whether this role is allowed to have only read permissions for project-master-data.
- `id` (string, optional) — The id of the project role.
- `memberCount` (integer, optional) — The count of members which are linked to this role.
- `members` (list of ProjectMember, optional, nullable) — The members which are linked to this role.
- `createdOn` (string, optional) — The date this entity was created.
- `createdBy` (string, optional) — The id of the user who created this entity.
- `updatedOn` (string, optional) — The date this entity was last modified.
- `updatedBy` (string, optional) — The id of the user who last modified this entity.

## Errors

### 404 Not Found Error

Not Found

- `code` (string, required) — The error code.
- `description` (string, required) — The description of the error.
- `link` (string, required) — The link to the API documentation page.
- `details` (list of string, optional, nullable) — A list of details describing the error.
- `validationErrors` (list of ValidationErrorResponse, optional, nullable) — If a validation error occurred, this contains the validation errors for each property.
- `traceId` (string, optional, nullable) — The request trace id for tracking the request.

## Types

### ProjectMember

- `id` (string, optional) — The id of the project member entity.
- `userId` (string, optional) — The id of the user who is this project member.
- `firstName` (string, optional, nullable) — The first name of the user.
- `lastName` (string, optional, nullable) — The last name of the user.
- `hasImage` (boolean, optional, nullable) — Whether the user has an image.
- `projectRoleId` (string, optional) — The project role of the project member.
- `projectRoleName` (string, optional, nullable) — The project role name of the project member.
- `isResponsible` (boolean, optional) — Whether the user is responsible for this project.
- `isDeactivated` (boolean, optional) — Whether the user is deactivated.
- `isExternal` (boolean, optional) — True if this entity is coming from an external workspace (awork Connect).

### ValidationErrorResponse

The validation error response.

- `property` (string, optional, nullable) — The name of the property that failed validation.
- `message` (string, optional, nullable) — The reason why this property failed validation.

## Examples

**Response**

```json
{
  "name": "Project Manager",
  "isDefault": true,
  "defaultProjectRoleId": "123e4567-e89b-12d3-a456-426614174000",
  "allowOnlyProjectMasterDataRead": true,
  "id": "123e4567-e89b-12d3-a456-426614174000",
  "memberCount": 5,
  "members": [
    {
      "id": "123e4567-e89b-12d3-a456-426614174000",
      "userId": "123e4567-e89b-12d3-a456-426614174000",
      "firstName": "Lisa",
      "lastName": "Smith",
      "hasImage": true,
      "projectRoleId": "123e4567-e89b-12d3-a456-426614174000",
      "projectRoleName": "Project Manager",
      "isResponsible": true,
      "isDeactivated": false,
      "isExternal": true
    }
  ],
  "createdOn": "2024-01-15T09:30:00Z",
  "createdBy": "123e4567-e89b-12d3-a456-426614174000",
  "updatedOn": "2024-01-15T09:30:00Z",
  "updatedBy": "123e4567-e89b-12d3-a456-426614174000"
}
```

**SDK Code**

```python
import requests

url = "https://api.awork.com/api/v1/projectroles/projectRoleId"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.awork.com/api/v1/projectroles/projectRoleId';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.awork.com/api/v1/projectroles/projectRoleId"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("Authorization", "Bearer <token>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.awork.com/api/v1/projectroles/projectRoleId")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.awork.com/api/v1/projectroles/projectRoleId")
  .header("Authorization", "Bearer <token>")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.awork.com/api/v1/projectroles/projectRoleId', [
  'headers' => [
    'Authorization' => 'Bearer <token>',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.awork.com/api/v1/projectroles/projectRoleId");
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "Bearer <token>");
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = ["Authorization": "Bearer <token>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.awork.com/api/v1/projectroles/projectRoleId")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```